// creator  : weidu.exe (version 23600)
// argument : PROST2.DLG
// game     : .
// source   : ./DATA/DIALOG.BIF
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~PROST2~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #1 /* Triggers after states #: 2 even though they appear after this state */
~  Gender(LastTalkedToBy,MALE)
~ THEN BEGIN 0 // from:
  SAY #8230 /* ~Up for some company luv? No, I suppose not. Looks like you've your own "party" waiting. Some other life perhaps.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 /* Triggers after states #: 2 even though they appear after this state */
~  Gender(LastTalkedToBy,FEMALE)
~ THEN BEGIN 1 // from:
  SAY #8231 /* ~Ooo, such a pity for you, milady. You've arrived on Gunther's night off.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #0 ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 2 // from:
  SAY #8232 /* ~You didn't have to use that charm spell on me; I'm already hot for you, beautiful.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from:
  SAY #9104 /* ~You'll get nothing from me!~ */
  IF ~~ THEN EXIT
END
